<?php
/*
Plugin Name: WooCommerce Exit Offers
Plugin URI: http://www.solvercircle.com
Description: WooCommerce Exit Offers is a WooCommerce plugin which is used to show the users a special offer when users moves their mouse to exit from your store.The special offer is customizable by you.You can show to user who put items in their cart or everyone.
Version: 2.0
Author: SolverCircle Ltd
Author URI: http://www.solvercircle.com
*/

define("WCEO_BASE_URL", WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__)));
include ('includes/wceo-popup-setting.php');
include ('includes/wceo-popup-view.php');
include ('includes/wceo-init.php');

function wceo_init(){ 
  wp_enqueue_style('wceo-popup-style', WCEO_BASE_URL.'/css/wceo-popup.css');
  wp_enqueue_script('jquery');
  wp_enqueue_script('jscolor', plugins_url( '/js/colorpicker/jscolor.js', __FILE__ ));
}

function wceo_add_script_to_store_footer(){
  wp_enqueue_script( 'wceo-popup-store-script', plugins_url( '/js/wceo_popup.js', __FILE__ ));
}

function wceo_add_script_to_admin_footer(){
  wp_enqueue_script( 'wceo-popup-admin-script', plugins_url( '/js/wceo_popup.js', __FILE__ ));
}

add_action('init','wceo_init');
add_action( 'wp_footer', 'wceo_add_script_to_store_footer');
add_action( 'admin_footer', 'wceo_add_script_to_admin_footer');
register_activation_hook( __FILE__, 'wceo_install');
register_deactivation_hook( __FILE__, 'wceo_uninstall');
?>